## org.eclipse.datatools.sqltools.sqlbuilder.views.source
Class SQLCompletionProposalFactory

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.source.SQLCompletionProposalFactory

All Implemented Interfaces:
  SQLKeywords

    public final class SQLCompletionProposalFactory

extends java.lang.Object
implements SQLKeywords

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.sqlbuilder.views.source.SQLKeywords
`fSQLKeywordList`

Constructor Summary
`SQLCompletionProposalFactory()` Constructor.

Method Summary
`java.lang.String[]` `getAlterProposals()`
`java.lang.String[]` `getCatalogProposals()`
`java.lang.String[]` `getCommentOnProposals()`
`java.lang.String[]` `getCommitProposals()`
`java.lang.String[]` `getConnectProposals()`
`java.lang.String[]` `getContextInformation()`
`java.lang.String[]` `getCreateProposals()`
`java.lang.String[]` `getDeleteProposals()`
`java.lang.String[]` `getDisconnectProposals()`
`java.lang.String[]` `getDropProposals()`
`java.lang.String[]` `getGrantProposals()`
`java.lang.String[]` `getInsertProposals()`
`java.lang.String[]` `getRevokeProposals()`
`java.lang.String[]` `getRollbackProposals()`
`java.lang.String[]` `getSelectProposals()`
`java.lang.String[]` `getSetProposals()`
`java.lang.String[]` `getStatementProposals()`
`java.lang.String[]` `getStatementTemplateProposals()`
`java.lang.String[]` `getUncatalogProposals()`
`java.lang.String[]` `getUpdateProposals()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLCompletionProposalFactory

    public SQLCompletionProposalFactory()

  Constructor.

Method Detail

### getAlterProposals

    public java.lang.String[] getAlterProposals()

  Returns:
    java.lang.String[]

### getCreateProposals

    public java.lang.String[] getCreateProposals()

  Returns:
    java.lang.String[]

### getDeleteProposals

    public java.lang.String[] getDeleteProposals()

  Returns:
    java.lang.String[]

### getDropProposals

    public java.lang.String[] getDropProposals()

  Returns:
    java.lang.String[]

### getGrantProposals

    public java.lang.String[] getGrantProposals()

  Returns:
    java.lang.String[]

### getInsertProposals

    public java.lang.String[] getInsertProposals()

  Returns:
    java.lang.String[]

### getRevokeProposals

    public java.lang.String[] getRevokeProposals()

  Returns:
    java.lang.String[]

### getSelectProposals

    public java.lang.String[] getSelectProposals()

  Returns:
    java.lang.String[]

### getCommitProposals

    public java.lang.String[] getCommitProposals()

  Returns:
    java.lang.String[]

### getRollbackProposals

    public java.lang.String[] getRollbackProposals()

  Returns:
    java.lang.String[]

### getSetProposals

    public java.lang.String[] getSetProposals()

  Returns:
    java.lang.String[]

### getConnectProposals

    public java.lang.String[] getConnectProposals()

  Returns:
    java.lang.String[]

### getDisconnectProposals

    public java.lang.String[] getDisconnectProposals()

  Returns:
    java.lang.String[]

### getCatalogProposals

    public java.lang.String[] getCatalogProposals()

  Returns:
    java.lang.String[]

### getUncatalogProposals

    public java.lang.String[] getUncatalogProposals()

  Returns:
    java.lang.String[]

### getCommentOnProposals

    public java.lang.String[] getCommentOnProposals()

  Returns:
    java.lang.String[]

### getStatementProposals

    public java.lang.String[] getStatementProposals()

  Returns:
    java.lang.String[]

### getContextInformation

    public java.lang.String[] getContextInformation()

  Returns:
    java.lang.String[]

### getStatementTemplateProposals

    public java.lang.String[] getStatementTemplateProposals()

  Returns:
    java.lang.String[]

### getUpdateProposals

    public java.lang.String[] getUpdateProposals()

  Returns:
    java.lang.String[]